## monitoring-plugins-systemd 2.3.1

=== Makefile ===
build:
	rm -rf dist
  # No bdist_wheel: problems with versioneer.
	python3 setup.py sdist

upload:
	pip3 install twine
	twine upload --skip-existing dist/*

readme:
	tox -e py38 -- test/test_doc.py

test:
	pyenv update
	pyenv install --skip-existing 3.6.13
	pyenv install --skip-existing 3.7.10
	pyenv install --skip-existing 3.9.2
	pyenv local 3.6.13 3.7.10 3.9.2
	pip3 install tox
	tox

doc:
	tox -e docs
	xdg-open .tox/docs/tmp/html/index.html

.PHONY: build upload test readme doc

=== requirements.txt ===
nagiosplugin>=1.2

=== debian/changelog ===
monitoring-plugins-systemd (2.3.1-4) unstable; urgency=medium

  * d/control: depend on default-dbus-system-bus instead of dbus.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 19 Jun 2022 11:43:05 -0400

monitoring-plugins-systemd (2.3.1-3) unstable; urgency=medium

  * d/rules: change test restriction, as pytest deprecates -k-foo.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sat, 11 Jun 2022 11:07:55 -0400

monitoring-plugins-systemd (2.3.1-2) unstable; urgency=medium

  * d/control: binary-depend on dbus. Closes: #994926.
  * d/control: Standards-Version update to 4.6.0. No changes.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 09 Dec 2021 16:39:57 -0500

monitoring-plugins-systemd (2.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Stop repacking the upstream tarball, as upstream fixed the problem.
  * d/watch: upstream now signs tags, verify them.
  * d/patches: rebase 0001.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Thu, 04 Mar 2021 16:37:50 -0500

monitoring-plugins-systemd (2.3.0+ds-2) unstable; urgency=medium

  * Run the complete upstream testsuite, at build and in the autopkgtest.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 28 Feb 2021 16:36:21 -0500

monitoring-plugins-systemd (2.3.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #982667, #895278)

 -- Louis-Philippe Véronneau <pollo@debian.org>  Fri, 19 Feb 2021 23:18:00 -0500

=== debian/control ===
Source: monitoring-plugins-systemd
Section: net
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Louis-Philippe Véronneau <pollo@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-exec,
               python3-all,
               python3-setuptools,
               python3-nagiosplugin,
               python3-pytest,
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/python-team/packages/monitoring-plugins-systemd.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/monitoring-plugins-systemd
Homepage: https://github.com/Josef-Friedrich/check_systemd
Rules-Requires-Root: no

Package: monitoring-plugins-systemd
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         python3,
         python3-nagiosplugin,
         systemd,
         default-dbus-system-bus | dbus-system-bus
Description: systemd plugin for nagios compatible monitoring systems
 This systemd check for nagios compatible monitoring systems will report a
 degraded systemd to your monitoring solution. It can also be used to monitor
 individual systemd services and timers units.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_BEFORE_TEST=cp {dir}/check_systemd.py {dir}/README-template.md {build_dir}
export PYBUILD_TEST_ARGS=-k 'not test_entry_point'
export PYBUILD_DISABLE=install

%:
	dh $@  --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="mode=git, pgpmode=gittag, uversionmangle=s/v//" \
https://github.com/Josef-Friedrich/check_systemd.git \
refs/tags/([v\d\.]+)
